//Part of the prototypical solution for the Microcontroller Programming Laboratory
//term project, winter semester 2010/11
// (c) Andreas Unterweger, Fachhochschule Salzburg, ITS

#ifndef _I2C_H_
#define _I2C_H_

//Initializes the I2C module
void InitI2C();

//Defines an error handler for I2C errors
extern void (*I2CErrorHandler)(unsigned char error_code);

//Transmits a message to the I2C device with the given address
void I2CTransmit(unsigned char address, unsigned char message);
//Receives a message from the I2C device with the given address
unsigned char I2CReceive(unsigned char address);

#endif