//Part of the prototypical solution for the Microcontroller Programming Laboratory
//term project, winter semester 2010/11
// (c) Andreas Unterweger, Fachhochschule Salzburg, ITS

#ifndef _PWM_H
#define _PWM_H

//PWM output bit is P4_0 by default

//Defines the PWM frequency in Hz (accuracy, min and max removed in this version)
extern unsigned short PWM_Frequency;

//Initializes the PWM module
void InitPWM();

//Sets the duty (0-100%) of the PWM signal
void SetPWMDuty(unsigned char duty);

#endif